+ Post New Thread
Page 101 of 574 FirstFirst ... 51 91 99 100 101 102 103 111 151 201 ... LastLast
Threads 2501 to 2525 of 14337

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 47,869
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 54,457
    18th Sep 2006 10:46 pm Go to last post
  1. Filter selection set for 2 types of entities?

    This is probably a very elementary question, but I've tried everything I can think of and can't figure it out. I know I can filter a selection set with this: (setq ss1 (ssget '((0 . "TEXT")))) to...

    Started by ANA-SA‎, 31st Aug 2014 09:52 pm
    • Replies: 4
    • Views: 972
    1st Sep 2014 10:05 pm Go to last post
  2. mark intersection distance at two polyline

    Hi all. I have two polylines which have same length. One polyline contain some intersection at random distance. I need to mark the other polyline with the same intersection distance..

    Started by souvik‎, 1st Sep 2014 11:41 am
    • Replies: 6
    • Views: 840
    1st Sep 2014 07:16 pm Go to last post
  3. entmod returns nil on second run of lisp routine

    Hi, I'm using the following code as part of a lisp which draws polylines. Basically, the polyline is drawn, it's checked to be clock wise or ccw and if necesary, its direction is changed before...

    Started by cletero‎, 1st Sep 2014 06:43 am
    • Replies: 4
    • Views: 773
    1st Sep 2014 06:05 pm Go to last post
  4. Help! need to draw this symbols

    Hi guys My English is very poor, so upload the image for explain. Draw arc on curve . (line, pline, circle, arc, ellipse) Can specify a starting point and end point and have a few...

    Started by andy_lee‎, 30th Aug 2014 07:06 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 1,939
    1st Sep 2014 05:08 pm Go to last post
  5. Change colors for all entities, also inside blocks

    Hello I cannot find a lisp thath change the colors for all entities in the drawing For monochrome printing a need to change 0,255,0 to red ; 255,0,0 to green etc. The quick select command dont...

    Started by maksolino‎, 31st Aug 2014 09:29 am
    • Replies: 2
    • Views: 829
    1st Sep 2014 04:27 pm Go to last post
  6. Replace Attributes with the Correct Values

    Good morning peeps... asking for your kind assistance. I have attached here 2 files. One is the Exploded and the other is the Attribute Block to be used. For some "silly" reason, our drafter...

    Started by nod684‎, 29th Aug 2014 04:20 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 1,507
    1st Sep 2014 06:39 am Go to last post
  7. Smile AutoliSP resquest

    Hi friends! if someone can help me i will be thanks!!:D I need a lisp can calculate area and perimeter. That lisp isn't hard to be found. But I need one more thing. Insert floor (0.5x0.5) in...

    Started by Madruga_SP‎, 28th Aug 2014 06:57 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 1,840
    1st Sep 2014 01:21 am Go to last post
  8. Alter draw order of selection set on different layers

    Hi guys, here's the thing: I have this LISP which draws objects in a specific order on two diferent layers. I have another LISP that needs to process the objects in the exact same order they were...

    Started by cletero‎, 31st Aug 2014 01:01 am
    • Replies: 3
    • Views: 1,023
    31st Aug 2014 08:17 pm Go to last post
  9. Question Draw a triangle and hatch

    Hello. Cadtutor's friends I have an idea, want to use lisp to do these things. Someone can help me ? 1.Enter the length of "L" , Then Pick up two perpendicular lines ,maybe is Plines. Draw a...

    Started by DuanJinHui‎, 30th Aug 2014 06:53 pm
    • Replies: 5
    • Views: 1,447
    31st Aug 2014 01:01 pm Go to last post
  10. slice in a script

    I'm new to AutoCAD and Lisp. I'm trying to use Lisp as a script to generate 3d objects in AutoCAD. What I'd like to do: Create a cylinder to use as the base for my object Slice it up a number of...

    Started by drazzilb531‎, 30th Aug 2014 06:17 am
    • Replies: 4
    • Views: 793
    31st Aug 2014 03:12 am Go to last post
  11. Question Need a great balloon/bubble feature with AutoNUMBER!

    We have a routine that allows us to pick initial point (for a leader to begin) then a second point (where we want a bubble with a number) We then input a number and it draws a circle around it. ...

    Started by tmelancon‎, 29th Aug 2014 06:18 pm
    • Replies: 9
    • Views: 1,571
    30th Aug 2014 01:19 pm Go to last post
  12. Delete Specific Layers in Multiple Drawings

    Hi All! I'm new to the world of AutoLISP and would appreciate some help. I'd like a lisp routine that deletes specific layers (and any entities within them) from all of the drawings in a...

    Started by omL20Studio‎, 29th Aug 2014 02:40 pm
    • Replies: 5
    • Views: 1,319
    30th Aug 2014 12:34 pm Go to last post
  13. Multiple toolbars at once

    Is there any way to turn on or off multiple toolbars at once? (A select few, not all of them.) Thanks

    Started by LosGirk‎, 29th Aug 2014 08:52 pm
    • Replies: 1
    • Views: 450
    30th Aug 2014 05:43 am Go to last post
  14. What's the LISP code for "Enter"?

    like, Enter on the keyboard?

    Started by tzframpton‎, 22nd Aug 2006 05:05 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 9,836
    30th Aug 2014 03:17 am Go to last post
  15. Chainage of second alignment

    I have two alignment i have to know the chainage that the perpendicular offset from first alignment at fixed chainage makes to the second alignment.then what those chainage will be ? Pls help to...

    Started by anindya‎, 27th Aug 2014 09:14 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,368
    30th Aug 2014 12:50 am Go to last post
  16. Lisp to add polyline then select it to run more command

    Hi, I have a lisp taken from several forums and stiched it together, what it does is it would select a polyline, then offset it with multiple lines and deletes the selected polyline. Now, how do I...

    Started by trese‎, 29th Aug 2014 05:23 pm
    • Replies: 1
    • Views: 590
    29th Aug 2014 09:29 pm Go to last post
  17. Text hieght change in vba

    Through vba is it possible to only the height change of text .i have attached a sample drawing for observtion.

    Started by anindya‎, 27th Aug 2014 07:27 pm
    • Replies: 3
    • Views: 763
    29th Aug 2014 04:11 am Go to last post
  18. Command "saveas" prompt dialog box

    Hi, I'm trying to make sure a routine saves a drawing if it's not saved. So I use : (if (= (getvar 'dwgtitled) 0) (command "_saveas") )

    Started by CadFrank‎, 28th Aug 2014 02:08 pm
    • Replies: 3
    • Views: 573
    28th Aug 2014 02:15 pm Go to last post
  19. Layer Management - Assigning layers to a Command

    Hey all, I have a question for you. Is it possible to have autocad, im using 2014, assign a layer to a specific command? For example, if I use the command PL and want to draw a polyline, it will...

    Started by rjbrittain11‎, 27th Aug 2014 06:05 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 1,301
    28th Aug 2014 02:14 pm Go to last post
  20. convert excel file to txt file

    please help how to convert excel file contain the following data with tab space for example:file1 attached to filename.txt with comma delimited or space through a lisp

    Started by motee-z‎, 28th Aug 2014 12:46 am
    • Replies: 7
    • Views: 1,013
    28th Aug 2014 12:28 pm Go to last post
  21. Question Search in Excel

    Hello i hope someone can help me i try to search somthing in Excel. what is to insert for the Points 1 2 3 4 5 (setq EXAPP (vlax-get-object "excel.application")) (setq Workbook...

    Started by Traver‎, 28th Aug 2014 10:24 am
    • Replies: 0
    • Views: 469
    28th Aug 2014 10:24 am Go to last post
  22. Oblique dimension

    dimaligned & dimlinear oblique. can multi-select . use "<" key to negative direction of diminishing , once "5" degree. eg: -85 , -80 ,-75,......still -15 use ">" key to positive direction of...

    Started by 77077‎, 26th Aug 2014 01:40 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 1,787
    28th Aug 2014 10:09 am Go to last post
  23. getting values from openoffice to autocad through lisp

    i am trying to get values from openoffice calc to autocad for automating drafting. i expect somebody to explain the basics of this. kindly do the needful. thanks.

    Started by nandakumar‎, 26th Aug 2014 12:01 pm
    auotcad, automating, lisp, openoffice
    • Replies: 3
    • Views: 1,187
    28th Aug 2014 04:12 am Go to last post
  24. lisp for multi trim and extend with condition

    I have multi lines or polylines as to pic attached "before I want to do trim or extend at all the intersection to become like this: maybe should trim and extend with multiple edges and multiple...

    Started by trunglupin‎, 19th Aug 2014 10:51 am
    • Replies: 9
    • Views: 2,009
    28th Aug 2014 04:04 am Go to last post
  25. Get previously selected objects

    Hi, I know how to get the client to select objects, for example with SSGET. But how do I read the objects that are already selected, the moment the client types the command of my program? ...

    Started by Emmanuel Delay‎, 26th Aug 2014 12:54 pm
    • Replies: 7
    • Views: 1,187
    27th Aug 2014 05:13 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts